// -------------------------------------------------------------------------------
// Called From: all of the pages that use the standard subnavigation
// Purpose: The page starts with two functions: SI_showSubNav and SI_hideSubNav.  Each 
//			function takes in the object name of the menu. 
//			Depending on the function called and the browser being used, 
//			the visibility state of the dropdown menu is altered using the 
//			appropriate DOM.
//
//			The page then preloads all of the images that will be used in the  
//			horizontal navigation bar.
//
//          The page then loads all of the subnavigation text into each dropdown menu.  
//			Each array consists of the array name, the location of the dropdown menu 
//			(pixels from the left), and the width of the menu.  This is followed by 
//			a varying number of text links and the address (URL) of each link.
//
//			The function SI_setUpMenus then creates the dropdown menu using the information  
//			from the arrays.  This function takes 5 parameters: the background color of 
//          the menu, the rollover background color of the menu, the text color of 
//          the menu, the rollover text color, and the color of the line separating 
//          each link in the menu.   
// --------------------------------------------------------------------------------

function SI_displaySelects( selectVisibility ) {
	for ( var i = 0; i < document.forms.length; i++ ) {
		for ( var j = 0; j < document.forms[i].elements.length; j++ ) {
			if ( document.forms[i].elements[j].type.indexOf( "select" ) != -1 ) {
				document.forms[i].elements[j].style.visibility = selectVisibility;
			}
		}
	}
}

function SI_showSubNav(SI_subnav){
			
			var SI_nav;
			var SI_complete;
			
			SI_imgOn(SI_subnav);
			
			if(document.getElementById){
				SI_complete = "document.getElementById('" + SI_subnav + "Menu')";
			}
			else if(document.all){
				SI_complete = "document.all['" + SI_subnav + "Menu']";
			}
			
			SI_nav = eval(SI_complete);
				
			if (SI_nav){
				SI_nav.style.visibility = 'visible';	
			}
			
			SI_displaySelects( 'hidden' );
}

function SI_hideSubNav(SI_subnav){
		
			var SI_nav;
			var SI_complete;
			
			SI_imgOff(SI_subnav);
			
			if(document.getElementById){
				SI_complete = "document.getElementById('" + SI_subnav + "Menu')";
			}
			else if(document.all){
				SI_complete = "document.all['" + SI_subnav + "Menu']";
			}
			
			SI_nav = eval(SI_complete);
				
			if (SI_nav){
				SI_nav.style.visibility = 'hidden';	
			}
			
			SI_displaySelects( 'visible' );
}


if (document.images) {
			
			SI_nflon = new Image();			 SI_nflon.src="nav_nfl_on.jpg";
			SI_ncaafbon = new Image();		 SI_ncaafbon.src="nav_ncaafootball_on.jpg";
			SI_mlbon = new Image();			 SI_mlbon.src="nav_mlb_on.jpg";
			SI_nbaon = new Image();			 SI_nbaon.src="nav_nba_on.jpg";
			SI_ncaabbon = new Image();		 SI_ncaabbon.src="nav_ncaabasketball_on.jpg";
			SI_golfon = new Image();		 	SI_golfon.src="nav_golf_on.jpg";
			SI_nhlon = new Image();			 SI_nhlon.src="nav_nhl_on.jpg";
			SI_nascaron = new Image();		 SI_nascaron.src="nav_racing_on.jpg";
			SI_socceron = new Image();		 SI_socceron.src="nav_soccer_on.jpg";
			SI_tennison = new Image();		 SI_tennison.src="nav_tennis_on.jpg";
			SI_moresportson = new Image();	 	SI_moresportson.src="nav_more_on.jpg";
			SI_fantasyon = new Image();  		SI_fantasyon.src="nav_fantasy_on.jpg";
			SI_scoreson = new Image();	                SI_scoreson.src="nav_scores_on.jpg";
			
			SI_nfloff = new Image();		                 SI_nfloff.src="nav_nfl_off.jpg";
			SI_ncaafboff = new Image();		 SI_ncaafboff.src="nav_ncaafootball_off.jpg";
			SI_mlboff = new Image();		                 SI_mlboff.src="nav_mlb_off.jpg";
			SI_nbaoff = new Image();		                 SI_nbaoff.src="nav_nba_off.jpg";
			SI_ncaabboff = new Image();		 SI_ncaabboff.src="nav_ncaabasketball_off.jpg";
			SI_golfoff = new Image();		                 SI_golfoff.src="nav_golf_off.jpg";
			SI_nhloff = new Image();		                 SI_nhloff.src="nav_nhl_off.jpg";
			SI_nascaroff = new Image();		 SI_nascaroff.src="nav_racing_off.jpg";
			SI_socceroff = new Image();		 SI_socceroff.src="nav_soccer_off.jpg";
			SI_tennisoff = new Image();		 SI_tennisoff.src="nav_tennis_off.jpg";
			SI_moresportsoff = new Image();                       SI_moresportsoff.src="nav_more_off.jpg";
			SI_fantasyoff = new Image();                              SI_fantasyoff.src="nav_fantasy_off.jpg";
			SI_scoresoff = new Image();                                SI_scoresoff.src="nav_scores_off.jpg";
		} 


		<!-- Adds a suffix onto the image name so that the program calls the on state of the image -->
		function SI_imgOn(iname) {
			if (document.images) {
				document[iname].src = eval(iname + "on.src");
			}
		}

		<!-- Adds a suffix onto the image name so that the program calls the off state of the image -->
		function SI_imgOff(iname) {
			if (document.images) {
				document[iname].src = eval(iname + "off.src");
			}
		}
		



var SI_arMenu = new Array();
		
		SI_arMenu[0] = new Array(
			"SI_nfl",
			0,  // pixels from left
			116, // width of menu
			"2003 Preview","/football/nfl/specials/preview/2003/", 
			"News","/football/nfl/", 
			"Scores","/football/nfl/scoreboards/today/",
			"Teams","/football/nfl/teams/",
			"Players","/football/nfl/players/",
			"Standings","/football/nfl/standings/",
			"Schedules","/football/nfl/schedules/",
			"Stats","/football/nfl/stats/",
			"Transactions","/transactions/today.html",
			"Injuries","/football/nfl/injuries/"
			);
			
		SI_arMenu[1] = new Array(
			"SI_ncaafb", 
			41, // pixels from left
			116, // width of menu
			"2003 Preview","/football/ncaa/specials/preview/2003/",
			"News","/football/ncaa/",
			"Scores","/football/ncaa/scoreboards/top25/today/",
			"Teams","/football/ncaa/teams/",
			"Conferences","/football/ncaa/conferences/",
			"Players","/football/ncaa/rosters/",
			"Standings","/football/ncaa/standings/",
			"Rankings","/football/ncaa/polls/2003/ap/",
			"Schedules","/football/ncaa/schedules/",
			"Stats","/football/ncaa/stats/"
			);
		
		SI_arMenu[2] = new Array(
			"SI_mlb",
			139, // pixels from left
			116, // width of menu
			"News","/baseball/mlb/",
			"Scores","/baseball/mlb/scoreboards/today/",
			"Teams","/baseball/mlb/teams/",
			"Players","/baseball/mlb/players/",
			"Standings","/baseball/mlb/standings/",
			"Probables","/baseball/mlb/probables/today/",
			"Schedules","/baseball/mlb/schedules/",
			"Stats","/baseball/mlb/stats/",
			"Transactions","/transactions/today.html",
			"Injuries","/baseball/mlb/injuries/"
			);
			
		SI_arMenu[3] = new Array(
			"SI_nba",
			182, // pixels from left
			116, // width of menu
			"News","/basketball/nba/",
			"Scores","/basketball/nba/scoreboards/today/",
			"Teams","/basketball/nba/teams/",
			"Players","/basketball/nba/players/",
			"Standings","/basketball/nba/standings/",
			"Schedules","/basketball/nba/schedules/",
			"Stats","/basketball/nba/stats/",
			"Transactions","/transactions/today.html",
			"Injuries","/basketball/nba/injuries/"
			);
		
		SI_arMenu[4] = new Array(
			"SI_ncaabb",
			225, // pixels from left
			116, // width of menu
			"News","/basketball/ncaa/",
			"Scores","/basketball/college/men/scoreboards/top25/today/",
			"Teams","/basketball/ncaa/men/teams/",
			"Conferences","/basketball/ncaa/men/conferences/",
			"Players","/basketball/ncaa/men/rosters/",
			"Standings","/basketball/ncaa/men/standings/",
			"Rankings","/basketball/college/men/polls/2002/ap/",
			"Schedules","/basketball/ncaa/men/schedules/",
			"Stats","/basketball/ncaa/men/stats/"
			);
		
		SI_arMenu[5] = new Array(
			"SI_golf",
			337, // pixels from left
			116, // width of menu
			"News","/golf/",
			"Leaderboards","/2003/golf/leaderboards/",
			"Players","/golf/players/",
			"Rankings","/golf/stats/",
			"Schedules","/golf/stats/",
			"Stats","/golf/stats/",
			"Courses","http://www.golfcourse.com"
			);
		
		SI_arMenu[6] = new Array(
			"SI_nhl",
			383, // pixels from left
			116, // width of menu
			"News","/hockey/nhl/",
			"Scores","/hockey/nhl/scoreboards/today.html",
			"Teams","/hockey/nhl/teams/",
			"Players","/hockey/nhl/players/",
			"Standings","/hockey/nhl/standings/",
			"Schedules","/hockey/nhl/schedules/",
			"Stats","/hockey/nhl/stats/",
			"Transactions","/transactions/today.html",
			"Injuries","/hockey/nhl/injuries/"
			);
		
		SI_arMenu[7] = new Array(
			"SI_nascar",
			429, // pixels from left
			116, // width of menu
			"News","/racing/",
			"Results","/racing/results/",
			"Standings","/racing/standings/",
			"Schedules","/racing/schedules/",
			"Drivers","/racing/drivers/",
			"Tracks","/racing/tracks/"
			);
		
		SI_arMenu[8] = new Array(
			"SI_soccer",
			485, // pixels from left
			116, // width of menu
			"News","/soccer/",
			"Scores","/soccer/scoreboards/",
			"Teams","/soccer/teams/",
			"Leagues","/soccer/leagues/",
			"Standings","/soccer/standings/",
			"Schedules","/soccer/schedules/",
			"Stats","/soccer/stats/"
			);
		
		SI_arMenu[9] = new Array(
			"SI_tennis",
			541, // pixels from left
			116, // width of menu
			"News","/tennis/specials/us_open/2003/",
			"Results","/tennis/results/2003/2usopen/",
			"Players","/tennis/players/",
			"Rankings","/tennis/stats/",
			"Schedules","/tennis/stats/",
			"Stats","/tennis/stats/"
			);
		
		SI_arMenu[10] = new Array(
			"SI_moresports",
			597, // pixels from left
			116, // width of menu
			"<div class=\"cnn5pxT2pxB\">Boxing</div><div class=\"cnn2pxTB\">Olympics</div><div class=\"cnn2pxTB\">Horse Racing</div><div class=\"cnn2pxTB\">Cricket</div><div class=\"cnn2pxTB\">Cycling</div><div class=\"cnn2pxTB\">Winter</div><div class=\"cnn2pxTB\">Rugby</div><div class=\"cnn2pxT5pxB\">Track & Field</div>","/more/"
			);
			
		SI_arMenu[11] = new Array(
			"SI_fantasy",
			645, // pixels from left
			116, // width of menu
			"News","/fantasy/",
			"<div class=\"cnn5pxT2pxB\">Football</div><div class=\"cnn2pxTB\">Baseball</div><div class=\"cnn2pxTB\">Golf</div><div class=\"cnn2pxT5pxB\">Racing</div>","/fantasy/"
			);
			
		SI_arMenu[12] = new Array(
			"SI_scores",
			654, // pixels from left
			116, // width of menu
			"NFL","/football/nfl/scoreboards/today/",
			"NCAA Football","/football/ncaa/scoreboards/top25/today/",
			"MLB","/baseball/mlb/scoreboards/today/",
			"NBA","/basketball/nba/scoreboards/today/",
			"NCAA Basketball","/basketball/college/men/scoreboards/top25/today/",
			"Golf","/2003/golf/leaderboards/",
			"NHL","/hockey/nhl/scoreboards/today.html",
			"Tennis","/2003/tennis/results/",
			"Soccer","/soccer/scoreboards/",
			"More Scores","/scoreboards/"
			);
			

function SI_setUpMenus(SI_backcolor, SI_overcolor, SI_textcolor, SI_overtextcolor, SI_linecolor){
	if ((document.all) || (document.getElementById)){

	var SI_subnav = "";
			
			for (j = 0; j < SI_arMenu.length; j++){
				SI_subnav += "<div id=\"" + SI_arMenu[j][0] + "Menu\" style=\"z-index:999;position: absolute; left: " + SI_arMenu[j][1] + "; width: " + SI_arMenu[j][2] + ";  visibility: hidden\" onmouseover=\"SI_showSubNav('" + SI_arMenu[j][0] + "');\" onmouseout=\"SI_hideSubNav('" + SI_arMenu[j][0] + "');\">";
					SI_subnav += "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"" + SI_arMenu[j][2] + "\">";
						
						for (i=3; i < SI_arMenu[j].length-1; i=i+2){
							SI_subnav += "<tr>";
								SI_subnav += "<td width=\"1\" bgcolor=\"#000000\"><img src=\"1.gif\" width=\"1\" height=\"22\"></td>";
								SI_subnav += "<td width=\"6\" bgcolor=\"#7B5535\" class=\"siNavSide\"><img src=\"1.gif\" width=\"6\" height=\"22\"></td>";
								SI_subnav += "<td width=\"108\" bgcolor=\"" + SI_backcolor + "\" class=\"cnnNavMenu\" onClick=\"document.location.href='" + SI_arMenu[j][i+1] + "'\" onmouseover=\"this.bgColor='" + SI_overcolor + "';this.style.color='" + SI_overtextcolor+ "';\" onmouseout=\"this.bgColor='" + SI_backcolor + "';this.style.color='" + SI_textcolor + "'\" style=\"color: " + SI_textcolor + "\"><div style=\"padding-left:12px;\">" + SI_arMenu[j][i] + "</a></div></td>";
								SI_subnav += "<td width=\"1\" bgcolor=\"#000000\"><img src=\"1.gif\" width=\"1\" height=\"22\"></td>";
							SI_subnav += "</tr>";
							SI_subnav += "<tr>";
								SI_subnav += "<td colspan=\"3\" bgcolor=\"" + SI_linecolor + "\" height=\"1\"><img src=\"1.gif\" width=\"1\" height=\"1\"></td>";
							SI_subnav += "</tr>";
						}
						
					SI_subnav += "</table>";
				SI_subnav += "</div>";
			}
			
	document.write(SI_subnav);

	}
}



// ________________________________________________________________ LaunchVideo

var agt		= navigator.userAgent.toLowerCase();
var is_aol	= (agt.indexOf("aol") != -1);

// ______________________________________________________________________ Apple
// Copyright  2000 by Apple Computer, Inc., All Rights Reserved.

// initialize global variables
var detectableWithVB = false;
var pluginFound = false;


function canDetectPlugins() {
	if ( detectableWithVB || (navigator.plugins && navigator.plugins.length > 0) ) {
		return true;
	}
	return false;
}

function detectFlash() {
	pluginFound = detectPlugin( 'Shockwave', 'Flash' );
	// if not found, try to detect with VisualBasic
	if ( !pluginFound && detectableWithVB ) {
		pluginFound = detectActiveXControl( 'ShockwaveFlash.ShockwaveFlash.1' );
	}
	return pluginFound;
}

function detectDirector() {
	pluginFound = detectPlugin( 'Shockwave', 'Director' );
	// if not found, try to detect with VisualBasic
	if ( !pluginFound && detectableWithVB ) {
		pluginFound = detectActiveXControl( 'SWCtl.SWCtl.1' );
	}
	return pluginFound;
}



function detectPlugin() {
	// allow for multiple checks in a single pass
	var daPlugins = arguments;
	// consider pluginFound to be false until proven true
	var pluginFound = false;
	// if plugins array is there and not fake
	if ( navigator.plugins && navigator.plugins.length > 0 ) {
		var pluginsArrayLength = navigator.plugins.length;
		// for each plugin...
		for ( var pluginsArrayCounter = 0; pluginsArrayCounter < pluginsArrayLength; pluginsArrayCounter++ ) {
			// loop through all desired names and check each against the current plugin name
			var numFound = 0;
			for ( var namesCounter = 0; namesCounter < daPlugins.length; namesCounter++ ) {
				// if desired plugin name is found in either plugin name or description
				if ( (navigator.plugins[pluginsArrayCounter].name.indexOf(daPlugins[namesCounter]) >= 0) ||
					(navigator.plugins[pluginsArrayCounter].description.indexOf(daPlugins[namesCounter]) >= 0) ) {
					// this name was found
					numFound++;
				}
			}
			// now that we have checked all the required names against this one plugin,
			// if the number we found matches the total number provided then we were successful
			if ( numFound == daPlugins.length ) {
				pluginFound = true;
				// if we've found the plugin, we can stop looking through at the rest of the plugins
				break;
			}
		}
	}
	return pluginFound;
} // detectPlugin


